Skip to main content
Version: /v2

Start All Streams - API

When you get a dispute, contacting your customer is always the best first step. If that doesn’t work, you can submit evidence to help us resolve the dispute in your favor. You can do this in your dashboard, but if you prefer, you can use the API to submit evidence programmatically. Depending on your dispute type, different evidence fields will give you a better chance of winning your dispute. To figure out which evidence fields to provide, see our guide to dispute types.

HTTP method and endpoint

POST

|

https://api.videosdk.live/v2/combinestreams/start
Headers Parameters

values: YOUR_TOKEN_WITHOUT_ANY_PREFIX

This will be a JWT token generate using VideoSDK ApiKey and Secret.

Note that the token will not include any prefix such as "Basic " or "Bearer ". Just pass a token as value.

You can generate a new token by refering this Guide: Generate Auth token

REQUIRED

values: application/json

This is usefull for json body parameters, so that VideoSDK servers can understand that the incoming body parameter will be a JSON string.

Body Parameters
REQUIRED
The ID of the Room.
REQUIRED
true will start the recording where as false will not.
REQUIRED
true will start the livestream where as false will not.
REQUIRED
true will start the HLS Stream where as false will not.
REQUIRED
Url for the hlsstream
REQUIRED
Height of the hlsstream
REQUIRED
Width of the hlsstream
REQUIRED
MIME type for your hlsstream
Audio Bits per second
Video Bits per second
REQUIRED
Frame Size
POST
|
https://api.videosdk.live/v2/combinestreams/start
import fetch from 'node-fetch';
const options = {
method: "POST",
headers: {
"Authorization": "$YOUR_TOKEN",
"Content-Type": "application/json",
},
body: JSON.stringify({
"roomId": "xyz",
"record": "true",
"live": "true",
"hls": "true",
"url": "https://www.google.com",
"height": "480",
"width": "480",
"mimeType": "mp4",
"audioBitsPerSecond": "30",
"videoBitsPerSecond": "30",
"frameSize": "120"
}),
};
const url= `https://api.videosdk.live/v2/combinestreams/start`;
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
RESPONSE
{
"meetingId": "asdf-asdf-asdf"
}

Got a Question? Ask us on discord